## univention-cloud-init 5.0.0-2A~4.3.0.201712211503

=== Makefile ===
#!/usr/bin/make -f
#
# Copyright 2014-2017 Univention GmbH
#
# http://www.univention.de/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <http://www.gnu.org/licenses/>.

.PHONY: build install clean

# extend the list LANGUAGES to support l10n for other languages
LANGUAGES := de en
CLOUDINIT_DE_JSON := var/www/univention/js/ci-appliance/de.json

build: $(CLOUDINIT_DE_JSON)

clean:
	rm -f $(CLOUDINIT_DE_JSON)

install: build
	@echo "Nothing to install"

%.json: %.po
	dh-umc-po2json "$<"

=== debian/changelog ===
univention-cloud-init (5.0.0-2A~4.3.0.201712211503) ucs4-3-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Thu, 21 Dec 2017 15:03:59 +0100

univention-cloud-init (5.0.0-2) unstable; urgency=medium

  * Bug #43336: remove XS-Python-Version

 -- Florian Best <best@univention.de>  Thu, 21 Dec 2017 11:52:27 +0100

univention-cloud-init (5.0.0-1) unstable; urgency=medium

  * Bug #45841: UCS-4.3 version bump

 -- Jürn Brodersen <brodersen@univention.de>  Mon, 11 Dec 2017 14:40:37 +0100

univention-cloud-init (4.0.2-1) unstable; urgency=medium

  * Bug #43509: dijitHidden → dijitDisplayNone

 -- Florian Best <best@univention.de>  Thu, 09 Mar 2017 14:50:24 +0100

univention-cloud-init (4.0.1-1) unstable; urgency=medium

  * Bug #42228: ucs-overview → univention

 -- Florian Best <best@univention.de>  Thu, 02 Feb 2017 21:12:48 +0100

univention-cloud-init (4.0.0-3) unstable; urgency=low

  * Bug #38438: Fix use of get_lsb_header_val

 -- Philipp Hahn <hahn@univention.de>  Tue, 13 Sep 2016 10:09:57 +0200

univention-cloud-init (4.0.0-2) unstable; urgency=low

  * Bug #38438: Fix use of get_lsb_header_val

 -- Philipp Hahn <hahn@univention.de>  Tue, 13 Sep 2016 10:09:23 +0200

univention-cloud-init (4.0.0-1) unstable; urgency=medium

  * Bug #41963: UCS-4.2 version bump
  * Bug #38438: Make init-script LSB compliant

 -- Philipp Hahn <hahn@univention.de>  Fri, 12 Aug 2016 13:58:48 +0200

univention-cloud-init (3.0.1-1) unstable; urgency=medium

  * Bump version for UCS 4.1 (Bug #39729)

 -- Stefan Gohmann <gohmann@univention.de>  Tue, 03 Nov 2015 22:23:33 +0100

univention-cloud-init (2.0.1-4) unstable; urgency=low

  * Bug #38391: Show server address in welcome message.

 -- Philipp Hahn <hahn@univention.de>  Wed, 01 Jul 2015 20:01:13 +0200

univention-cloud-init (2.0.1-3) unstable; urgency=low

  * Bug #38391: Show server address in welcome message.

 -- Philipp Hahn <hahn@univention.de>  Tue, 02 Jun 2015 13:05:53 +0200

univention-cloud-init (2.0.1-2) unstable; urgency=low

  * Bug #36092: Due to behavior change in UCS 4: Set UCRV
    system/setup/boot/start=false upon installation

 -- Erik Damrose <damrose@univention.de>  Mon, 10 Nov 2014 13:19:04 +0100

univention-cloud-init (2.0.1-1) unstable; urgency=medium

  * Bug #36092: fixed error noscript error message for Internet Explorer

 -- Alexander Kläser <klaeser@univention.de>  Mon, 03 Nov 2014 17:27:58 +0100

univention-cloud-init (2.0.0-6) unstable; urgency=low

  * Adapted design, updated translation (Bug #36092)

 -- Drees Dormann <dormann@univention.de>  Fri, 31 Oct 2014 10:00:41 +0100

univention-cloud-init (2.0.0-5) unstable; urgency=low

  * Adapted package to UCS 4 (Bug #36092) 

 -- Erik Damrose <damrose@univention.de>  Thu, 23 Oct 2014 16:16:10 +0200

univention-cloud-init (2.0.0-4) unstable; urgency=low

  * Copy from UCS 3.2 (Bug #36092)

 -- Erik Damrose <damrose@univention.de>  Thu, 23 Oct 2014 14:35:13 +0200

univention-cloud-init (1.0.0-3) unstable; urgency=low

  * Bug #35236: Add build dependency on univention-management-console-dev 

 -- Erik Damrose <damrose@univention.de>  Wed, 22 Oct 2014 17:24:51 +0200

univention-cloud-init (1.0.0-2) unstable; urgency=low

  * Bug #35236: Add improvements based on feedback / testing 

 -- Erik Damrose <damrose@univention.de>  Wed, 22 Oct 2014 17:13:31 +0200

univention-cloud-init (1.0.0-1) unstable; urgency=low

  * Bug #35236: Add cloud-init support

 -- Erik Damrose <damrose@univention.de>  Fri, 15 Aug 2014 16:22:46 +0200

=== debian/control ===
Source: univention-cloud-init
Section: univention
Priority: optional
Maintainer: Univention GmbH <packages@univention.de>
Standards-Version: 3.8.2
Build-Depends: debhelper (>= 9),
 ucslint-univention,
 python-support,
 python-all,
 univention-config-dev,
 univention-management-console-dev

Package: univention-cloud-init
Architecture: all
Depends: ${misc:Depends},
 univention-system-setup,
 cloud-init,
 cloud-initramfs-growroot,
 univention-apache (>= 7.0.16-10),
Provides: ${python:Provides}
Description: Univention cloud-init configuration
 This package contains cloud-init modules and configuration options
 for the UCS System Setup.
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: http://www.univention.de/

=== debian/rules ===
#!/usr/bin/make -f
#
# Univention cloud-init
#  rules file for the debian package
#
# Copyright 2014-2017 Univention GmbH
#
# http://www.univention.de/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <http://www.gnu.org/licenses/>.

override_dh_auto_build:
	dh_auto_build
	dh-umc-po2json var/www/univention/js/ci-appliance/de.po
					
override_dh_auto_install:
	univention-install-config-registry

override_dh_installinit:
	dh_installinit -punivention-cloud-init --no-start -u"defaults 95"

override_dh_auto_test:
	ucslint

%:
	dh $@ --with python_support

## univention-cloud-init 7.0.0-2A~5.0.0.202103182013

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #!/usr/bin/make -f
 #
-# Copyright 2014-2017 Univention GmbH
+# Copyright 2014-2021 Univention GmbH
 #
-# http://www.univention.de/
+# https://www.univention.de/
 #
 # All rights reserved.
 #
@@ -25,7 +25,7 @@
 # You should have received a copy of the GNU Affero General Public
 # License with the Debian GNU/Linux or Univention distribution in file
 # /usr/share/common-licenses/AGPL-3; if not, see
-# <http://www.gnu.org/licenses/>.
+# <https://www.gnu.org/licenses/>.
 
 .PHONY: build install clean

=== debian/changelog ===
univention-cloud-init (7.0.0-2A~5.0.0.202103182013) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Thu, 18 Mar 2021 20:13:31 +0100

univention-cloud-init (7.0.0-2) unstable; urgency=medium

  * Bug #42374: Wording

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Tue, 22 Sep 2020 23:57:19 +0200

univention-cloud-init (7.0.0-1) unstable; urgency=medium

  * Bug #51419: UCS-5.0-0 version bump

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Fri, 05 Jun 2020 18:06:28 +0200

univention-cloud-init (6.0.0-3) unstable; urgency=medium

  * Bug #51135: make UCR templates compatible to python3

 -- Florian Best <best@univention.de>  Tue, 21 Apr 2020 15:43:16 +0200

univention-cloud-init (6.0.0-2) unstable; urgency=medium

  * Bug #49171: migrate univention-cloud-init to dh_python

 -- Florian Best <best@univention.de>  Tue, 12 Nov 2019 09:32:14 +0100

univention-cloud-init (6.0.0-1) unstable; urgency=medium

  * Bug #48326: UCS-4.4-0 version bump

 -- Philipp Hahn <hahn@univention.de>  Fri, 14 Dec 2018 15:12:43 +0100

=== debian/control ===
Source: univention-cloud-init
Section: univention
Priority: optional
Maintainer: Univention GmbH <packages@univention.de>
Standards-Version: 3.8.2
Build-Depends:
 debhelper,
 dh-python,
 python-all,
 python3-all,
 univention-config-dev (>= 15.0.3),
 univention-management-console-dev (>= 12.0.2),

Package: univention-cloud-init
Architecture: all
Depends:
 cloud-init,
 cloud-initramfs-growroot,
 univention-apache (>= 7.0.16-10),
 univention-system-setup,
 ${misc:Depends},
 ${python3:Depends},
 ${python:Depends},
Provides:
 ${python:Provides},
Description: Univention cloud-init configuration
 This package contains cloud-init modules and configuration options
 for the UCS System Setup.
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,9 @@
 # Univention cloud-init
 #  rules file for the debian package
 #
-# Copyright 2014-2017 Univention GmbH
+# Copyright 2014-2021 Univention GmbH
 #
-# http://www.univention.de/
+# https://www.univention.de/
 #
 # All rights reserved.
 #
@@ -28,20 +28,14 @@
 # You should have received a copy of the GNU Affero General Public
 # License with the Debian GNU/Linux or Univention distribution in file
 # /usr/share/common-licenses/AGPL-3; if not, see
-# <http://www.gnu.org/licenses/>.
+# <https://www.gnu.org/licenses/>.
 
 override_dh_auto_build:
 	dh_auto_build
 	dh-umc-po2json var/www/univention/js/ci-appliance/de.po
-					
-override_dh_auto_install:
-	univention-install-config-registry
 
 override_dh_installinit:
 	dh_installinit -punivention-cloud-init --no-start -u"defaults 95"
 
-override_dh_auto_test:
-	ucslint
-
 %:
-	dh $@ --with python_support
+	dh $@ --with python2,python3,ucr

## univention-cloud-init 7.0.1-1A~5.0.0.202206161123

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 #
-# Copyright 2014-2021 Univention GmbH
+# Copyright 2014-2022 Univention GmbH
 #
 # https://www.univention.de/
 #

=== debian/changelog ===
univention-cloud-init (7.0.1-1A~5.0.0.202206161123) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Thu, 16 Jun 2022 11:23:15 +0200

univention-cloud-init (7.0.1-1) unstable; urgency=medium

  * Bug #54706: drop Python 2 package files

 -- Florian Best <best@univention.de>  Wed, 04 May 2022 08:33:30 +0200

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Univention cloud-init
 #  rules file for the debian package
 #
-# Copyright 2014-2021 Univention GmbH
+# Copyright 2014-2022 Univention GmbH
 #
 # https://www.univention.de/
 #
@@ -38,4 +38,4 @@
 	dh_installinit -punivention-cloud-init --no-start -u"defaults 95"
 
 %:
-	dh $@ --with python2,python3,ucr
+	dh $@ --with python3,ucr

## univention-cloud-init 7.0.2-1A~5.0.0.202302032023

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 #
-# Copyright 2014-2022 Univention GmbH
+# Like what you see? Join us!
+# https://www.univention.com/about-us/careers/vacancies/
+#
+# Copyright 2014-2023 Univention GmbH
 #
 # https://www.univention.de/
 #

=== debian/changelog ===
univention-cloud-init (7.0.2-1A~5.0.0.202302032023) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Fri, 03 Feb 2023 20:23:48 +0100

univention-cloud-init (7.0.2-1) unstable; urgency=medium

  * Bug #31771: migrate tabs to spaces

 -- Florian Best <best@univention.de>  Fri, 03 Feb 2023 04:17:44 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
 Build-Depends:
  debhelper,
  dh-python,
- python-all,
  python3-all,
  univention-config-dev (>= 15.0.3),
  univention-management-console-dev (>= 12.0.2),
@@ -20,9 +19,6 @@
  univention-system-setup,
  ${misc:Depends},
  ${python3:Depends},
- ${python:Depends},
-Provides:
- ${python:Provides},
 Description: Univention cloud-init configuration
  This package contains cloud-init modules and configuration options
  for the UCS System Setup.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,10 @@
 # Univention cloud-init
 #  rules file for the debian package
 #
-# Copyright 2014-2022 Univention GmbH
+# Like what you see? Join us!
+# https://www.univention.com/about-us/careers/vacancies/
+#
+# Copyright 2014-2023 Univention GmbH
 #
 # https://www.univention.de/
 #
